/* -*- Mode: C; tab-width: 2; indent-tabs-mode: t; c-basic-offset: 2 -*-
 * File: buf.h
 *
 * Created: Tue May 27 14:54:30 2003
 *
 * $Id: buf.h,v 1.1 2003/12/13 20:59:15 mhassler Exp $
 */

#ifndef _BUF_H_
#define _BUF_H_

#include "session.h"

inline int min(int a, int b);
int buf_printf(struct buffer *buf, char *fmt, ...);
int buf_append(struct buffer *buf, char *start, int len);
int buf_move(struct buffer *dest, struct buffer *src, int len);
int buf_remove(struct buffer *buf, int len);

#endif
