# Selected board type

BOARD=TNETC620


# Clock frequencies configuration

CONF_REFXTAL_FREQ    = MHZ(25)
CONF_CPU_FREQ        = MHZ(125)
CONF_SYS_FREQ        = MHZ(125)


# SDRAM and FLASH Memory sizes configuration

CONF_SDRAM_SZ        = MEG(16)
CONF_FLASH_SZ        = MEG(8)
DUAL_FLASH           = NO

# EMIF configuration

/* Legacy board: N/A*/


# MAC ports configuration

CONF_NUM_MAC_PORT   = 1

MAC0_PHY_MASK        = 0x80000000
MAC1_PHY_MASK        = 0x00000000
EXTERNAL_PHY_PORT0   = 0
EXTERNAL_PHY_PORT1   = 0


# Cache configuration

CONF_CACHE           = CACHE_WT


