/***************************************************************

        bwx_tty.h       Header file for TTY-style hardware
			implementation of bwBASIC

			This file may be used as a template
			for developing more sophisticated
			hardware implementations

    bwBASIC version 3.00 beta
    Copyright (c) 1992-2000, Ted A. Campbell
    Copyright (c) 1995-2000, Jon B. Volkoff

    http://www.bwBASIC.com
    email: bwBASIC@bwBASIC.com

    Copyright and Permissions Information:

    All U.S. and international rights are claimed by the authors.

    This software is released under the terms of the GNU General
    Public License (GPL), which is distributed with this software
    in the file "COPYING".  The GPL specifies the terms under
    which users may copy and use the software in this distribution.
    Please note that it rules out the distribution of proprietary
    versions of the software, and it rules out the use of altered
    versions of the software. This means that you cannot remove
    the Bywater BASIC name or copyright information.

    A separate license is available for proprietary or commercial
    distribution, for information on which you should contact
    bwBASIC@bwBASIC.com.

***************************************************************/

/*---------------------------------------------------------------*/
/* NOTE: Modifications marked "JBV" were made by Jon B. Volkoff, */
/* 11/1995 (eidetics@cerf.net).                                  */
/*---------------------------------------------------------------*/

/* Definitions indicating which commands and functions are implemented */

#define IMP_FNCINKEY	0		/* 0 if INKEY$ is not implemented, 1 if it is */
#define IMP_CMDCLS	0		/* 0 if CLS is not implemented, 1 if it is */
#define IMP_CMDLOC	0		/* 0 if LOCATE is not implemented, 1 if it is */
#define IMP_CMDCOLOR    0               /* 0 if COLOR is not implemented, 1 if it is */

#define MKDIR_ONE_ARG   TRUE           /* TRUE if your mkdir has but one argument;
					   FALSE if it has two */
#define PERMISSIONS	644		/* permissions to set in Unix-type system */
