#/bin/sh

. ./fw_functions.sh
CLI="cm_cli" # Path to the CLI binary
TIMEOUT=1 # Timeout between each command

new "connection"
# Assume the reserved handle is connection0 (cannot read it for now)

# --- This sequence creates the static connection ---
group_begin "123"
# The order of sets within the group is not important
set_vpi "connection0" "123" "0"
set_ip "connection0" "123" "10.11.12.13"
set_type "connection0" "123" "static"
set_netmask "connection0" "123" "255.255.255.0"
set_vci "connection0" "123" "35"
group_end "123"

sleep 5 # Give it some time to establish a connection

# --- This sequence install a port forwarding rule over the connection
group_begin "987"
# The order of sets within the group is not important
set_ping 		"connection0" "987" "1"
set_dmz  		"connection0" "987" "1"
set_dmz_host 		"connection0" "987" "192.168.1.222"
group_end "987"
