#/bin/sh

. ./mgr_functions.sh
CLI="cm_cli" # Path to the CLI binary
TIMEOUT=1 # Timeout between each command

new "connection"
new "mux"
new "encaps"
# Assume the reserved handles are connection0, mux0, encaps0 (cannot read it for now)

# --- This sequence creates the static connection ---
group_begin "123"

set_type "encaps0" "123" "rfc2684"
set_vpi "encaps0" "123" "0"
set_vci "encaps0" "123" "35"

set_type "mux0" "123" "on"

set_type "connection0" "123" "static"
set_name "connection0" "123" "test"
set_ip "connection0" "123" "10.11.12.13"
set_netmask "connection0" "123" "255.255.255.0"

bind3 "123" "connection0" "mux0" "encaps0"

group_end "123"
